textproc/p5-YAML-LibYAML - The NetBSD Packages Collection

Perl XS binding to libyaml

Kirill Siminov's libyaml is arguably the best YAML implementation.
The C library is written precisely to the YAML 1.1 specification.
It was originally bound to Python and was later bound to Ruby.

This module is a Perl XS binding to libyaml which will (eventually)
offer Perl the best YAML support to date.

This module exports the functions Dump and Load. These functions are
intended to work exactly like YAML.pm's corresponding functions.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-YAML-LibYAML-0.82.tgz
NetBSD 8.0earmv7hfp5-YAML-LibYAML-0.82.tgz
NetBSD 8.0earmv7hfp5-YAML-LibYAML-0.82.tgz
NetBSD 8.0i386p5-YAML-LibYAML-0.82.tgz
NetBSD 8.0i386p5-YAML-LibYAML-0.82.tgz
NetBSD 8.0i386p5-YAML-LibYAML-0.82.tgz
NetBSD 8.0powerpcp5-YAML-LibYAML-0.82.tgz
NetBSD 8.0powerpcp5-YAML-LibYAML-0.82.tgz
NetBSD 8.0powerpcp5-YAML-LibYAML-0.82.tgz
NetBSD 8.0x86_64p5-YAML-LibYAML-0.82.tgz
NetBSD 8.0x86_64p5-YAML-LibYAML-0.82.tgz
NetBSD 8.0x86_64p5-YAML-LibYAML-0.82.tgz
NetBSD 9.0aarch64p5-YAML-LibYAML-0.82.tgz
NetBSD 9.0aarch64p5-YAML-LibYAML-0.82.tgz
NetBSD 9.0aarch64p5-YAML-LibYAML-0.82.tgz
NetBSD 9.0alphap5-YAML-LibYAML-0.82.tgz
NetBSD 9.0alphap5-YAML-LibYAML-0.82.tgz
NetBSD 9.0alphap5-YAML-LibYAML-0.82.tgz
NetBSD 9.0earmp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0earmp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0earmp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0earmv6hfp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0earmv6hfp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0earmv6hfp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0earmv6hfp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0earmv7hfp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0earmv7hfp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0earmv7hfp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0earmv7hfp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0i386p5-YAML-LibYAML-0.82.tgz
NetBSD 9.0i386p5-YAML-LibYAML-0.82.tgz
NetBSD 9.0i386p5-YAML-LibYAML-0.82.tgz
NetBSD 9.0m68kp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0m68kp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0m68kp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0mips64ebp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0mips64ebp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0mips64ebp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0mipselp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0mipselp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0powerpcp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0powerpcp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0sh3elp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0sh3elp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0sh3elp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0sparc64p5-YAML-LibYAML-0.82.tgz
NetBSD 9.0sparc64p5-YAML-LibYAML-0.80.tgz
NetBSD 9.0sparc64p5-YAML-LibYAML-0.82.tgz
NetBSD 9.0sparc64p5-YAML-LibYAML-0.82.tgz
NetBSD 9.0sparcp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0sparcp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0sparcp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0vaxp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0vaxp5-YAML-LibYAML-0.82.tgz
NetBSD 9.0x86_64p5-YAML-LibYAML-0.82.tgz
NetBSD 9.0x86_64p5-YAML-LibYAML-0.82.tgz
NetBSD 9.0x86_64p5-YAML-LibYAML-0.82.tgz
NetBSD 9.0x86_64p5-YAML-LibYAML-0.82.tgz
NetBSD 9.0x86_64p5-YAML-LibYAML-0.82.tgz
NetBSD 9.0x86_64p5-YAML-LibYAML-0.82.tgz
NetBSD 9.0x86_64p5-YAML-LibYAML-0.82.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.